/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * PaymentMode
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class PaymentMode {
  @SerializedName("types")
  private Model181 types = null;

  @SerializedName("provider")
  private Model182 provider = null;

  public PaymentMode types(Model181 types) {
    this.types = types;
    return this;
  }

   /**
   * Get types
   * @return types
  **/
  @ApiModelProperty(required = true, value = "")
  public Model181 getTypes() {
    return types;
  }

  public void setTypes(Model181 types) {
    this.types = types;
  }

  public PaymentMode provider(Model182 provider) {
    this.provider = provider;
    return this;
  }

   /**
   * Get provider
   * @return provider
  **/
  @ApiModelProperty(required = true, value = "")
  public Model182 getProvider() {
    return provider;
  }

  public void setProvider(Model182 provider) {
    this.provider = provider;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PaymentMode paymentMode = (PaymentMode) o;
    return Objects.equals(this.types, paymentMode.types) &&
        Objects.equals(this.provider, paymentMode.provider);
  }

  @Override
  public int hashCode() {
    return Objects.hash(types, provider);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PaymentMode {\n");
    
    sb.append("    types: ").append(toIndentedString(types)).append("\n");
    sb.append("    provider: ").append(toIndentedString(provider)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

